Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.parse.sax
Class DtdContext

    java.lang.Object
      convert.relaxng.parse.sax.DtdContext

All Implemented Interfaces:
  ValidationContext, org.xml.sax.DTDHandler

    public abstract class DtdContext

extends java.lang.Object
implements org.xml.sax.DTDHandler, ValidationContext

Constructor Summary
`DtdContext()`
`DtdContext(DtdContext dc)`

Method Summary
`void` | `clearDtdContext()`
`boolean` | `isNotation(java.lang.String notationName)` Checks if a notation is declared with the specified name.
`boolean` | `isUnparsedEntity(java.lang.String entityName)` Checks if an unparsed entity is declared with the specified name.
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface convert.relaxng.datatype.ValidationContext
`getBaseUri, resolveNamespacePrefix`

Constructor Detail

### DtdContext

    public DtdContext()

### DtdContext

    public DtdContext(DtdContext dc)

Method Detail

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Specified by:
    `notationDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws org.xml.sax.SAXException

  Specified by:
    `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

### isNotation

    public boolean isNotation(java.lang.String notationName)

  Description copied from interface: `ValidationContext`
  Checks if a notation is declared with the specified name.

  Specified by:
    `isNotation` in interface `ValidationContext`
  Returns:
    true if the DTD has a notation declaration for the specified name. false otherwise.

### isUnparsedEntity

    public boolean isUnparsedEntity(java.lang.String entityName)

  Description copied from interface: `ValidationContext`
  Checks if an unparsed entity is declared with the specified name.

  Specified by:
    `isUnparsedEntity` in interface `ValidationContext`
  Returns:
    true if the DTD has an unparsed entity declaration for the specified name. false otherwise.

### clearDtdContext

    public void clearDtdContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD